> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exam Session Details

> Returns the full exam session object including scheduling, proctoring, and status details.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}:
    get:
      tags:
        - Exam Session
      summary: Exam Session Details
      description: >-
        Returns the full exam session object including scheduling, proctoring,
        and status details.
      operationId: getV1InstallsInstallsidExamsExamsidSessionsSessionsid
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
        - name: examSid
          in: path
          schema:
            type: string
            description: Exam Sid
            pattern: ^EX[a-f0-9]{32}$
          description: Exam Sid
          required: true
        - name: sessionSid
          in: path
          schema:
            type: string
            description: Exam Session Sid
            pattern: ^ES[a-f0-9]{32}$
          description: Exam Session Sid
          required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExamSessionResponse'
components:
  schemas:
    ExamSessionResponse:
      type: object
      properties:
        sid:
          type: string
          description: Session SID
          nullable: true
        installSid:
          type: string
          description: Install SID
          nullable: true
        examSid:
          type: string
          description: Exam SID
          nullable: true
        enrollmentSid:
          type: string
          description: Enrollment SID
          nullable: true
        userSid:
          type: string
          description: User SID
          nullable: true
        courseSid:
          type: string
          description: Course SID
          nullable: true
        instructorProctorSid:
          type: string
          description: Instructor proctor SID
          nullable: true
        proctorTypeSid:
          type: string
          description: Proctor type SID
          nullable: true
        cancellationPolicySid:
          type: string
          description: Cancellation policy SID
          nullable: true
        cancellationPolicyVersionSid:
          type: string
          description: Cancellation policy version SID
          nullable: true
        status:
          type: string
          description: Session status
          nullable: true
        statusReason:
          type: string
          description: Status reason
          nullable: true
        accessKey:
          type: string
          description: Access key
          nullable: true
        duration:
          type: number
          description: Duration
          nullable: true
        sessionType:
          type: string
          description: Session type
          nullable: true
        schedulingModule:
          type: string
          description: Scheduling module
          nullable: true
        proctorReviewProcessSid:
          type: string
          description: Proctor review process SID
          nullable: true
        workflowModule:
          type: string
          description: Workflow module
          nullable: true
        appointmentDate:
          type: string
          description: Appointment date
          nullable: true
        appointmentEndDate:
          type: string
          description: Appointment end date
          nullable: true
        dateApproved:
          type: string
          description: Date approved
          nullable: true
        dateScheduled:
          type: string
          description: Date scheduled
          nullable: true
        createdDate:
          type: string
          description: Created date
          nullable: true
        inProgressDate:
          type: string
          description: In progress date
          nullable: true
        externalAppointmentId:
          type: string
          description: External appointment ID
          nullable: true
        externalReservedAppointmentId:
          type: string
          description: External reserved appointment ID
          nullable: true
        externalReservedAppointmentExpires:
          type: string
          description: External reserved appointment expires
          nullable: true
        externalAppointmentSyncDate:
          type: string
          description: External appointment sync date
          nullable: true
        editDate:
          type: string
          description: Last modified date
          nullable: true
        notes:
          type: string
          description: Notes
          nullable: true
        recordingStartDate:
          type: string
          description: Recording start date
          nullable: true
        account:
          type: string
          description: Account details
          nullable: true
        install:
          type: string
          description: Install details
          nullable: true
        deployment:
          type: string
          description: Deployment details
          nullable: true
        sessionReportCount:
          type: number
          description: Session report count
          nullable: true
        series:
          type: string
          description: Session series
          nullable: true
        reviewByDate:
          type: string
          description: Review by date
          nullable: true
        reviewByUserSid:
          type: string
          description: Review by user SID
          nullable: true
        reviewCompletedDate:
          type: string
          description: Review completed date
          nullable: true
        reviewRequired:
          type: boolean
          description: Review required
          nullable: true
        reviewCompleteNotificationUrl:
          type: string
          description: Review complete notification URL
          nullable: true
        reviewed:
          type: boolean
          description: Reviewed
          nullable: true
        proctorGroups:
          type: string
          description: Proctor groups
          nullable: true
        URL:
          type: string
          description: Session URL
          nullable: true
        examLocale:
          type: string
          description: Exam locale
          nullable: true
        platformVersion:
          type: string
          description: Platform version
          nullable: true
        systemCheckStartDate:
          type: string
          description: System check start date
          nullable: true
        systemCheckEndDate:
          type: string
          description: System check end date
          nullable: true
        modalityOptions:
          type: string
          description: Modality options
          nullable: true
        exam:
          type: string
          description: Exam details
          nullable: true
        enrollment:
          type: string
          description: Enrollment details
          nullable: true
        course:
          type: string
          description: Course details
          nullable: true
        examFile:
          type: string
          description: Exam file
          nullable: true
        returnedFile:
          type: string
          description: Returned file
          nullable: true
        photos:
          type: string
          description: Photos
          nullable: true
        sessionInfo:
          type: string
          description: Session info
          nullable: true
        auditStatus:
          type: string
          description: Audit status
          nullable: true
        examConfiguration:
          type: string
          description: Exam configuration
          nullable: true
        proctor:
          type: string
          description: Proctor details
          nullable: true
        location:
          type: string
          description: Location details
          nullable: true
        appointment:
          type: string
          description: Appointment details
          nullable: true
        messagingConfirmations:
          $ref: '#/components/schemas/messagingConfirmations'
        automated:
          type: string
          description: Automated session data
          nullable: true
        interoadsProvisionedExamUrl:
          type: string
          description: Interroads provisioned exam URL
          nullable: true
        proctorGroupSid:
          type: string
          description: Proctor group SID
          nullable: true
        mandatoryRoomScanVideo:
          type: boolean
          description: Mandatory room scan video
          nullable: true
        mutedAnnotations:
          type: string
          description: Muted annotations
          nullable: true
    messagingConfirmations:
      type: array
      description: Messaging confirmations
      nullable: true
      items:
        type: string
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````